<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.4.2) on Mon May 16 15:57:39 EDT 2005 -->
<TITLE>
IVirtualFile
</TITLE>

<META NAME="keywords" CONTENT="org.eclipse.wst.common.componentcore.resources.IVirtualFile interface">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../apistyles.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="IVirtualFile";
}
</SCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<A HREF="#main"><FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/IVirtualFile.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../serialized-form.html"><FONT CLASS="NavBarFont1"><B>Serialized</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualContainer.html" title="interface in org.eclipse.wst.common.componentcore.resources"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualFolder.html" title="interface in org.eclipse.wst.common.componentcore.resources"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="IVirtualFile.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<A NAME="main"></A>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.eclipse.wst.common.componentcore.resources</FONT>
<BR>
Interface IVirtualFile</H2>
<DL>
<DT><B>All Superinterfaces:</B> <DD><A HREF="../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualResource.html" title="interface in org.eclipse.wst.common.componentcore.resources">IVirtualResource</A></DD>
</DL>
<HR>
<DL>
<DT>public interface <B>IVirtualFile</B><DT>extends <A HREF="../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualResource.html" title="interface in org.eclipse.wst.common.componentcore.resources">IVirtualResource</A></DL>

<P>
Represents a file that can be navigated through 
 an abstract ("virtual") path. 
 <p>
 This interface is not intended to be implemented by clients.
 </p>
<P>

<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>1.0</DD>
</DL>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->


<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN=2><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.eclipse.wst.common.componentcore.resources.IVirtualResource"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from interface org.eclipse.wst.common.componentcore.resources.<A HREF="../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualResource.html" title="interface in org.eclipse.wst.common.componentcore.resources">IVirtualResource</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualResource.html#COMPONENT">COMPONENT</A>, <A HREF="../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualResource.html#FILE">FILE</A>, <A HREF="../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualResource.html#FOLDER">FOLDER</A>, <A HREF="../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualResource.html#FORCE">FORCE</A>, <A HREF="../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualResource.html#IGNORE_EXCLUSIONS">IGNORE_EXCLUSIONS</A>, <A HREF="../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualResource.html#IGNORE_UNDERLYING_RESOURCE">IGNORE_UNDERLYING_RESOURCE</A>, <A HREF="../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualResource.html#NONE">NONE</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->


<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN=2><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;IFile</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualFile.html#getUnderlyingFile()">getUnderlyingFile</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;returns the underlying IFile, returns first IFile if multiple exist.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;IFile[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualFile.html#getUnderlyingFiles()">getUnderlyingFiles</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;returns the array of underlying IFiles that are mapped to the same runtime path.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.wst.common.componentcore.resources.IVirtualResource"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface org.eclipse.wst.common.componentcore.resources.<A HREF="../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualResource.html" title="interface in org.eclipse.wst.common.componentcore.resources">IVirtualResource</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualResource.html#createLink(IPath, int, IProgressMonitor)">createLink</A>, <A HREF="../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualResource.html#delete(int, IProgressMonitor)">delete</A>, <A HREF="../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualResource.html#equals(java.lang.Object)">equals</A>, <A HREF="../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualResource.html#exists()">exists</A>, <A HREF="../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualResource.html#getComponent()">getComponent</A>, <A HREF="../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualResource.html#getFileExtension()">getFileExtension</A>, <A HREF="../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualResource.html#getName()">getName</A>, <A HREF="../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualResource.html#getParent()">getParent</A>, <A HREF="../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualResource.html#getProject()">getProject</A>, <A HREF="../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualResource.html#getProjectRelativePath()">getProjectRelativePath</A>, <A HREF="../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualResource.html#getResourceType()">getResourceType</A>, <A HREF="../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualResource.html#getRuntimePath()">getRuntimePath</A>, <A HREF="../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualResource.html#getType()">getType</A>, <A HREF="../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualResource.html#getUnderlyingResource()">getUnderlyingResource</A>, <A HREF="../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualResource.html#getUnderlyingResources()">getUnderlyingResources</A>, <A HREF="../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualResource.html#getWorkspaceRelativePath()">getWorkspaceRelativePath</A>, <A HREF="../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualResource.html#isAccessible()">isAccessible</A>, <A HREF="../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualResource.html#setResourceType(java.lang.String)">setResourceType</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->


<!-- ========= CONSTRUCTOR DETAIL ======== -->


<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Method Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="getUnderlyingFile()"><!-- --></A><H3>
getUnderlyingFile</H3>
<PRE>
public IFile <B>getUnderlyingFile</B>()</PRE>
<DL>
<DD>returns the underlying IFile, returns first IFile if multiple exist.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the underlying IFile</DL>
</DD>
</DL>
<HR>

<A NAME="getUnderlyingFiles()"><!-- --></A><H3>
getUnderlyingFiles</H3>
<PRE>
public IFile[] <B>getUnderlyingFiles</B>()</PRE>
<DL>
<DD>returns the array of underlying IFiles that are mapped to the same runtime path.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the array of underlying IFiles mapped to the runtime path</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<A HREF="#main"><FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/IVirtualFile.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../serialized-form.html"><FONT CLASS="NavBarFont1"><B>Serialized</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualContainer.html" title="interface in org.eclipse.wst.common.componentcore.resources"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualFolder.html" title="interface in org.eclipse.wst.common.componentcore.resources"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="IVirtualFile.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
